Bug 162562 - Scroll swipe gesture plays inline videos
Summary: Scroll swipe gesture plays inline videos
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Media Elements (show other bugs)
Version: Safari 10
Hardware: iPhone / iPad iOS 10
: P2 Major
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2016-09-26 09:07 PDT by AliG
Modified: 2018-05-06 02:16 PDT (History)
5 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description AliG 2016-09-26 09:07:12 PDT
in iOS10/Safari, a scroll swipe gesture that stats on the "play" icon of the video element, starts the playback despite the fact that the swipe is not a tap.

Go to https://goo.gl/LdqJhn on iOS10/Safari
Start a scroll gesture ensuring tip of finger touches the play icon inside the video element first.
Notice that video starts playing despite the fact that it was not a tap and just a scroll gesture.
Comment 1 Radar WebKit Bug Importer 2016-09-26 16:41:35 PDT
<rdar://problem/28485170>
Comment 2 Ali G 2018-05-02 17:59:18 PDT
This seems fixed after redesign of video controls in iOS 11, feel free to close
Comment 3 Frédéric Wang (:fredw) 2018-05-06 02:16:13 PDT
Thanks for testing. I'm resolving as FIXED but maybe it should DUPLICATE if you know the actual bug that fixed the issue.